-- ===================================================
-- Constants
-- ===================================================

local ADDON_NAME, Mocksamdi = ...;
local ADDON_VERSION = Mocksamdi.VERSION;

local SLASH_REG = "MOCKSAMDI";
local SLASH_CMD1 = "/msa";
local SLASH_CMD2 = "/mocksamdi";

-- ===================================================
-- Local Functions
-- ===================================================

-- slash commands
local commands = function (msg, editbox)
	Mocksamdi:printDebug("Slash command fired: '" .. Mocksamdi:s(msg) .. "'");

	if msg == "help" then
		print("|cff00E5EE" .. ADDON_NAME .. "|r at version |cffffcc00" .. ADDON_VERSION .. "|r")
		print("  /msa - Show options");
		print("  /msa off - Disables the addon");
		print("  /msa on - Enables the addon");
		return;
	end

	if msg == "off" then
		Mocksamdi:printDebug("Off fired. Disabling " .. Mocksamdi:s(MocksamdiPlayAudio));
		MocksamdiPlayAudio = false;
		Mocksamdi:refreshConfig();
		return;
	end

	if msg == "on" then
		Mocksamdi:printDebug("On fired. Enabling " .. Mocksamdi:s(MocksamdiPlayAudio));
		MocksamdiPlayAudio = true;
		Mocksamdi:refreshConfig();
		return;
	end

	InterfaceOptionsFrame_Show();
	InterfaceOptionsFrame_OpenToCategory(ADDON_NAME);
	InterfaceOptionsFrame_OpenToCategory(ADDON_NAME); -- handle open bug by firing twice
end

-- ===================================================
-- Slash Commands
-- ===================================================

SLASH_MOCKSAMDI1, SLASH_MOCKSAMDI2 = SLASH_CMD1, SLASH_CMD2;
SlashCmdList[SLASH_REG] = commands;
