-- ===================================================
-- Constants
-- ===================================================

local ADDON_NAME, Mocksamdi = ...;
local ADDON_DEBUG = Mocksamdi.DEBUG;

-- ===================================================
-- Global Functions
-- ===================================================

-- Debug Function
function Mocksamdi:printDebug (s)
	if MocksamdiDebug or ADDON_DEBUG then
		print("|cff00ccff" .. ADDON_NAME .. " DEBUG: " .. s .. "|r");
	end
end

-- Convert bool or nill to string for easier printing
function Mocksamdi:s (v)
	if type(v) == "boolean" then
		return (v and "true" or "false");
	elseif type(v) == "nil" then
		return "nil";
	end

	return v
end

-- Get Zone Function
function Mocksamdi:getZoneId ()
	local currentMapId = C_Map.GetBestMapForUnit("player");
	local mapInfo = C_Map.GetMapInfo(currentMapId)
	Mocksamdi:printDebug("Is in zone: " .. GetZoneText() .. " ID: " .. currentMapId .. " Map.name: " .. mapInfo.name);

	return currentMapId;
end
